BuildRequires: perl-podlators
BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/Comments.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Pod/Escapes.pm) perl(Pod/Find.pm) perl(Pod/Parser.pm) perl(Pod/Simple.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Sort/Naturally.pm) perl(Time/HiRes.pm) perl(Wx.pm) perl(Wx/RichText.pm) perl(base.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Wx-Perl-PodBrowser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 15
Release: alt1
Summary: POD browser in Wx using wxRichTextCtrl.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/wx-perl-podbrowser/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a POD documentation browser frame.  The POD is displayed using
`Wx::Perl::PodRichText' which is a `RichTextCtrl'.  There's menus for
various features and the links in the text can be followed to other
documents.

    +-------------------------------------------+
    | File  Section  Help                       |
    +-------------------------------------------+
    | NAME                                      |
    |   Foo - some thing                        |
    | DESCRIPTION                               |
    |   Blah blah.                              |
    | SEE ALSO                                  |
    |   Bar                                     |
    +-------------------------------------------+
    | (statusbar)                               |
    +-------------------------------------------+

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc COPYING Changes examples
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 15-alt1
- initial import by package builder

